Part Cylinder/fr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 20: Line 20:
==Description==
==Description==


La commande [[Image:Part_Cylinder.svg|24px]] '''Part Cylindre''' crée un solide cylindrique paramétrique. Il est le résultat de l'extrusion d'un arc de cercle le long d'une trajectoire droite. Dans le système de coordonnées défini par sa propriété {{PropertyData|Placement}}, la face inférieure du cylindre se trouve sur le plan XY avec son centre à l'origine.
<div class="mw-translate-fuzzy">
Crée un simple cylindre paramétrique, avec sa position, son angle, son rayon et sa hauteur.
</div>


A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.
A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.

Revision as of 20:01, 4 March 2022

Part Cylindre

Emplacement du menu
Pièce → Primitives → Cylindre
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

La commande Part Cylindre crée un solide cylindrique paramétrique. Il est le résultat de l'extrusion d'un arc de cercle le long d'une trajectoire droite. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, la face inférieure du cylindre se trouve sur le plan XY avec son centre à l'origine.

A Part Cylinder can be turned into a segment of a cylinder by changing its DonnéesAngle property.

Utilisation

  1. Allez à l' atelier Part.
  2. Lancez la commande Part Cône de plusieurs manières :
    • Appuyez sur le bouton Cylindre dans la barre d'outils.
    • Utilisez l'entrée Pièce → Primitives → Cylindre dans le menu supérieur.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Propriétés

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DonnéesAngle : angle de rotation qui permet la création d'une portion de cylindre (il est fixé à 360° par défaut)
  • DonnéesHeight : hauteur est la distance dans l'axe z
  • DonnéesRadius : rayon définit un plan dans l'axe x-y.
  • DonnéesFirst Angle : angle dans la première direction. introduit dans la version 0.20
  • DonnéesSecond Angle : angle dans la seconde direction. introduit dans la version 0.20

Prism

  • DonnéesFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DonnéesSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Script

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Un Part Cylindre peut être créé en utilisant la fonction suivante:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • "myCylinder" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()